Reapply Host Interface L3 Configuration
POST
/network/interface/{name}/l3/reapply
const url = 'https://sylve.lan:8181/api/network/interface/example/l3/reapply';const options = {method: 'POST', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://sylve.lan:8181/api/network/interface/example/l3/reapply \ --header 'Authorization: <Authorization>'Re-run the reconciler for one interface; foreign state is never removed
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”name
required
string
Interface name
Responses
Section titled “Responses”Reapplied
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Conflict or pending operation
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}